- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/list#body.ListEmailTemplatesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates/list#body.aspect_1)

**Full name**: projects.locations.instances.emailTemplates.list

Lists all EmailTemplates available in the instance. Use this method to discover existing communication formats. Supports filtering by display name and template type.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/emailTemplates`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list EmailTemplates for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of EmailTemplates to return. |
| `pageToken` | `string` Optional. A page token, received from a previous `emailTemplates.list` call. Provide this to retrieve the subsequent page. |
| `filter` | `string` Optional. Filter expression that matches a subset of the EmailTemplates to show. |
| `orderBy` | `string` Optional. Configures ordering of EmailTemplates in the response. If not specified, EmailTemplates are returned in descending order of their create time. |

### Request body

The request body must be empty.

### Response body

Response message to list EmailTemplates.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "emailTemplates": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates#EmailTemplate`) } ], "totalSize": integer, "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `emailTemplates[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.emailTemplates#EmailTemplate`)`` Output only. The list of EmailTemplates. |
| `totalSize` | `integer` Output only. The total number of EmailTemplates. |
| `nextPageToken` | `string` Output only. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.emailTemplates.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).